Bug 141392 - [GTK] Add default color chooser implementation using GtkColorChooserDialog
Summary: [GTK] Add default color chooser implementation using GtkColorChooserDialog
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 98935
  Show dependency treegraph
 
Reported: 2015-02-09 10:37 PST by Carlos Garcia Campos
Modified: 2015-02-19 05:31 PST (History)
3 users (show)

See Also:


Attachments
Patch (12.93 KB, patch)
2015-02-09 10:42 PST, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2015-02-09 10:37:08 PST
Implement WebColorPicker and enable INPUT_TYPE_COLOR by default. API to override the default implementation will be added in bug #98935
Comment 1 Carlos Garcia Campos 2015-02-09 10:42:56 PST
Created attachment 246276 [details]
Patch
Comment 2 Carlos Garcia Campos 2015-02-11 01:03:17 PST
Committed r179922: <http://trac.webkit.org/changeset/179922>
Comment 3 Carlos Garcia Campos 2015-02-11 01:04:12 PST
Also unskipped the input color tests when landing the patch, that I had forgotten :-)
Comment 4 Gustavo Noronha (kov) 2015-02-11 03:23:03 PST
Hah, I thought the layout tests would be independent of the platform implementation.
Comment 5 Carlos Garcia Campos 2015-02-11 03:27:18 PST
(In reply to comment #4)
> Hah, I thought the layout tests would be independent of the platform
> implementation.

Yes, but the patch enables INPUT_TYPE_COLOR, so now we render a color button instead of a text entry and all the logic behind ENABLE(INPUT_TYPE_COLOR) works as well.
Comment 6 Fabien Vallée 2015-02-19 03:09:06 PST
FYI, webkitgtk cannot build anymore if INPUT_TYPE_COLOR is deactivated manually.

For instance WebKitColorChooser is not under ENABLE(INPUT_TYPE_COLOR) compile flag but is inheriting from WebColorPickerGtk under INPUT_TYPE_COLOR.

Is it done on purpose ? 
( = INPUT_TYPE_COLOR is now mandatory)

or should we support INPUT_TYPE_COLOR on/off ? 
(= INPUT_TYPE_COLOR  check should be added everywhere) 

Thanks for your feedback :)
Comment 7 Carlos Garcia Campos 2015-02-19 03:30:10 PST
(In reply to comment #6)
> FYI, webkitgtk cannot build anymore if INPUT_TYPE_COLOR is deactivated
> manually.
> 
> For instance WebKitColorChooser is not under ENABLE(INPUT_TYPE_COLOR)
> compile flag but is inheriting from WebColorPickerGtk under INPUT_TYPE_COLOR.
> 
> Is it done on purpose ? 
> ( = INPUT_TYPE_COLOR is now mandatory)

Yes, it's on purpose, why do you want to disable it?

> or should we support INPUT_TYPE_COLOR on/off ? 
> (= INPUT_TYPE_COLOR  check should be added everywhere) 
> 
> Thanks for your feedback :)
Comment 8 Fabien Vallée 2015-02-19 05:31:35 PST
I don't want to deactivate it (though I guess I don't really need it).
Anyway use the default webkitgtk configuration (INPUT_TYPE_COLOR = ON) is ok, thanks for answer.